package com.dxhy.core.job.entity;

import java.util.Date;

import com.dxhy.core.job.pojo.BasePojo;

/**
 * @author user
 */
public class InvoiceSelectInfo extends BasePojo {

    private static final long serialVersionUID = 9140037500021701297L;

    private String invoiceCode;

    private String invoiceNo;

    /**
     * 当前税款所属期
     */
    private String currentTaxPeriod;
    /**
     * 当前税款所属期勾选截止日
     */
    private String legalizeEndDate;
    /**
     * 当前税款所属期可勾选发票开票日期范围起
     */
    private String legalizeInvoiceDateBegin;
    /**
     * 当前税款所属期可勾选发票开票日期范围止
     */
    private String legalizeInvoiceDateEnd;

    private String invoiceType;

    private String invoiceDate;

    private String buyerName;

    private String buyerTaxNo;

    private String salerName;

    private String salerTaxNo;
    /**
     * 发票金额
     */
    private String invoiceAmount;

    /**
     * 发票税额
     */
    private String taxAmount;

    /**
     * 发票状态 0-正常 1-失控 2-作废 3-红冲 4-异常
     */
    private String invoiceStatus;

    /**
     * 认证状态 0-未认证 1-已认证
     */
    private String legalizeState;

    /**
     * 认证时间
     */
    private String legalizeDate;

    /**
     * 认证归属期
     */
    private String legalizeBlongDate;
    /**
     * 认证方式 1-勾选认证 2-扫描认证
     */
    private String legalizeType;
    /**
     * 是否代办退税(0：否 1：是)
     */
    private String sfdbts;
    /**
     * 认证类型 0-未抵扣1-抵扣 2-退税 3-代理退税4-不抵扣
     */
    private String rzlx;
    /**
     * 校验码
     */
    private String checkCode;

    private String uuid;

    private Date qsDate;
    private String qsStatus;
    private String qsType;

    /**
     * 认证处理状态 0-未认证 1-已勾选未确认，2已确认 3 已发送认证 4 认证成功 5 认证失败
     */
    private String authStatus;

    /**
     * 状态最后修改时间
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String zttime;
    /**
     * 信息来源 0扫描认证 1系统推送 2出口转内销
     */
    private String xxly;
    /**
     * 有效税额
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String yxse;
    /**
     * 逾期可勾选标志 0默认值，1可勾选逾期
     */
    private String yqkgxbz;
    /**
     * 管理状态 0正常1异常
     */
    private String glzt;
    /**
     * 异常类型 0发票状态异常1申报用途变更（抵扣变代办退税）2管理状态异常、注：发票状态为正常时为空
     */
    private String yclx;

    /**
     * 出口转内销证明编号
     */
    private String toDivertCode;
    /**
     * 抵扣税额
     */
    private String dkse;
    /**
     * 不抵扣原因
     */
    private String bdkMessage;
    /**
     * 全电发票号码
     */
    private String electronicInvoiceNo;
    /**
     * 发票来源 0-税控发票 1-全电发票
     */
    private String invoiceSources;


    public String getLegalizeType() {
        return legalizeType;
    }

    public void setLegalizeType(String legalizeType) {
        this.legalizeType = legalizeType;
    }

    public String getAuthStatus() {
        return authStatus;
    }

    public void setAuthStatus(String authStatus) {
        this.authStatus = authStatus;
    }

    public Date getQsDate() {
        return qsDate;
    }

    public void setQsDate(Date qsDate) {
        this.qsDate = qsDate;
    }

    public String getQsStatus() {
        return qsStatus;
    }

    public void setQsStatus(String qsStatus) {
        this.qsStatus = qsStatus;
    }

    public String getQsType() {
        return qsType;
    }

    public void setQsType(String qsType) {
        this.qsType = qsType;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getInvoiceCode() {
        return invoiceCode;
    }

    public void setInvoiceCode(String invoiceCode) {
        this.invoiceCode = invoiceCode;
    }

    public String getInvoiceNo() {
        return invoiceNo;
    }

    public void setInvoiceNo(String invoiceNo) {
        this.invoiceNo = invoiceNo;
    }

    public String getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(String invoiceType) {
        this.invoiceType = invoiceType;
    }

    public String getInvoiceDate() {
        return invoiceDate;
    }

    public void setInvoiceDate(String invoiceDate) {
        this.invoiceDate = invoiceDate;
    }

    public String getBuyerTaxNo() {
        return buyerTaxNo;
    }

    public void setBuyerTaxNo(String buyerTaxNo) {
        this.buyerTaxNo = buyerTaxNo;
    }

    public String getSalerName() {
        return salerName;
    }

    public void setSalerName(String salerName) {
        this.salerName = salerName;
    }

    public String getSalerTaxNo() {
        return salerTaxNo;
    }

    public void setSalerTaxNo(String salerTaxNo) {
        this.salerTaxNo = salerTaxNo;
    }

    public String getInvoiceAmount() {
        return invoiceAmount;
    }

    public void setInvoiceAmount(String invoiceAmount) {
        this.invoiceAmount = invoiceAmount;
    }

    public String getTaxAmount() {
        return taxAmount;
    }

    public void setTaxAmount(String taxAmount) {
        this.taxAmount = taxAmount;
    }

    public String getInvoiceStatus() {
        return invoiceStatus;
    }

    public void setInvoiceStatus(String invoiceStatus) {
        this.invoiceStatus = invoiceStatus;
    }

    public String getLegalizeState() {
        return legalizeState;
    }

    public void setLegalizeState(String legalizeState) {
        this.legalizeState = legalizeState;
    }

    public String getLegalizeDate() {
        return legalizeDate;
    }

    public void setLegalizeDate(String legalizeDate) {
        this.legalizeDate = legalizeDate;
    }

    public String getCurrentTaxPeriod() {
        return currentTaxPeriod;
    }

    public void setCurrentTaxPeriod(String currentTaxPeriod) {
        this.currentTaxPeriod = currentTaxPeriod;
    }

    public String getLegalizeEndDate() {
        return legalizeEndDate;
    }

    public void setLegalizeEndDate(String legalizeEndDate) {
        this.legalizeEndDate = legalizeEndDate;
    }

    public String getLegalizeInvoiceDateBegin() {
        return legalizeInvoiceDateBegin;
    }

    public void setLegalizeInvoiceDateBegin(String legalizeInvoiceDateBegin) {
        this.legalizeInvoiceDateBegin = legalizeInvoiceDateBegin;
    }

    public String getLegalizeInvoiceDateEnd() {
        return legalizeInvoiceDateEnd;
    }

    public void setLegalizeInvoiceDateEnd(String legalizeInvoiceDateEnd) {
        this.legalizeInvoiceDateEnd = legalizeInvoiceDateEnd;
    }

    public String getLegalizeBlongDate() {
        return legalizeBlongDate;
    }

    public void setLegalizeBlongDate(String legalizeBlongDate) {
        this.legalizeBlongDate = legalizeBlongDate;
    }

    public String getSfdbts() {
        return sfdbts;
    }

    public void setSfdbts(String sfdbts) {
        this.sfdbts = sfdbts;
    }

    public String getRzlx() {
        return rzlx;
    }

    public void setRzlx(String rzlx) {
        this.rzlx = rzlx;
    }

    public String getCheckCode() {
        return checkCode;
    }

    public void setCheckCode(String checkCode) {
        this.checkCode = checkCode;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public String getZttime() {
        return zttime;
    }

    public void setZttime(String zttime) {
        this.zttime = zttime;
    }

    public String getXxly() {
        return xxly;
    }

    public void setXxly(String xxly) {
        this.xxly = xxly;
    }

    public String getYxse() {
        return yxse;
    }

    public void setYxse(String yxse) {
        this.yxse = yxse;
    }

    public String getYqkgxbz() {
        return yqkgxbz;
    }

    public void setYqkgxbz(String yqkgxbz) {
        this.yqkgxbz = yqkgxbz;
    }

    public String getGlzt() {
        return glzt;
    }

    public void setGlzt(String glzt) {
        this.glzt = glzt;
    }

    public String getYclx() {
        return yclx;
    }

    public void setYclx(String yclx) {
        this.yclx = yclx;
    }

    public String getToDivertCode() {
        return toDivertCode;
    }

    public void setToDivertCode(String toDivertCode) {
        this.toDivertCode = toDivertCode;
    }

    @Override
    public String toString() {
        return "InvoiceSelectInfo [invoiceCode=" + invoiceCode + ", invoiceNo=" + invoiceNo + ", currentTaxPeriod="
            + currentTaxPeriod + ", legalizeEndDate=" + legalizeEndDate + ", legalizeInvoiceDateBegin="
            + legalizeInvoiceDateBegin + ", legalizeInvoiceDateEnd=" + legalizeInvoiceDateEnd + ", invoiceType="
            + invoiceType + ", invoiceDate=" + invoiceDate + ", buyerTaxNo=" + buyerTaxNo + ", salerName=" + salerName
            + ", salerTaxNo=" + salerTaxNo + ", invoiceAmount=" + invoiceAmount + ", taxAmount=" + taxAmount
            + ", invoiceStatus=" + invoiceStatus + ", legalizeState=" + legalizeState + ", legalizeDate=" + legalizeDate
            + ", legalizeBlongDate=" + legalizeBlongDate + ", sfdbts=" + sfdbts + ", rzlx=" + rzlx + ", checkCode="
            + checkCode +",dkse"+ dkse+"bdkMessage"+bdkMessage+"invoiceSources"+invoiceSources+"]";
    }

    public String getDkse() {
        return dkse;
    }

    public void setDkse(String dkse) {
        this.dkse = dkse;
    }

    public String getBdkMessage() {
        return bdkMessage;
    }

    public void setBdkMessage(String bdkMessage) {
        this.bdkMessage = bdkMessage;
    }
    public String getElectronicInvoiceNo() {
        return electronicInvoiceNo;
    }

    public void setElectronicInvoiceNo(String electronicInvoiceNo) {
        this.electronicInvoiceNo = electronicInvoiceNo;
    }

    public String getInvoiceSources() {
        return invoiceSources;
    }

    public void setInvoiceSources(String invoiceSources) {
        this.invoiceSources = invoiceSources;
    }
}
